Bug 546821 - [abrt] cancel in troubleshooter causes traceback
Summary: [abrt] cancel in troubleshooter causes traceback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:63dea90d
Depends On:
Blocks: 547442
TreeView+ depends on / blocked
 
Reported: 2009-12-12 04:47 UTC by arturomnty
Modified: 2010-01-15 22:12 UTC (History)
2 users (show)

Fixed In Version: 1.1.16-8.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 547442 (view as bug list)
Environment:
Last Closed: 2010-01-15 22:03:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (585 bytes, text/plain)
2009-12-12 04:47 UTC, arturomnty
no flags Details

Description arturomnty 2009-12-12 04:47:20 UTC
abrt 1.0.0 detected a crash.

backtrace
-----
Summary: TB63dea90d timedops.py:147:collect_result:OperationCanceled

Traceback (most recent call last):
  File "/usr/share/system-config-printer/troubleshoot/ErrorLogCheckpoint.py", line 164, in enable_clicked
    settings = self.op.run ()
  File "/usr/share/system-config-printer/timedops.py", line 197, in run
    return self.thread.collect_result ()
  File "/usr/share/system-config-printer/timedops.py", line 147, in collect_result
    raise OperationCanceled()
OperationCanceled

Local variables in innermost frame:
self: <OperationThread(Thread-22, stopped daemon -1260389520)>

cmdline: python /usr/share/system-config-printer/applet.py 
component: system-config-printer
executable: /usr/share/system-config-printer/applet.py
kernel: 2.6.31.6-166.fc12.i686.PAE
package: system-config-printer-1.1.15-6.fc12
uuid: 63dea90d

Comment 1 arturomnty 2009-12-12 04:47:22 UTC
Created attachment 377834 [details]
File: backtrace

Comment 2 Fedora Update System 2009-12-15 08:27:01 UTC
system-config-printer-1.1.15-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.15-8.fc12

Comment 3 Fedora Update System 2009-12-16 01:04:25 UTC
system-config-printer-1.1.15-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13156

Comment 4 Fedora Update System 2009-12-22 04:44:52 UTC
system-config-printer-1.1.15-9.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13156

Comment 5 Fedora Update System 2009-12-22 16:31:15 UTC
system-config-printer-1.1.16-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.16-1.fc11

Comment 6 Fedora Update System 2009-12-25 08:23:56 UTC
system-config-printer-1.1.16-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13156

Comment 7 Fedora Update System 2009-12-25 08:24:48 UTC
system-config-printer-1.1.16-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13579

Comment 8 Fedora Update System 2010-01-08 19:57:53 UTC
system-config-printer-1.1.16-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13156

Comment 9 Fedora Update System 2010-01-08 20:14:05 UTC
system-config-printer-1.1.16-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13579

Comment 10 Fedora Update System 2010-01-12 23:35:54 UTC
system-config-printer-1.1.16-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13579

Comment 11 Fedora Update System 2010-01-12 23:37:43 UTC
system-config-printer-1.1.16-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13156

Comment 12 Fedora Update System 2010-01-15 22:02:28 UTC
system-config-printer-1.1.16-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-01-15 22:11:02 UTC
system-config-printer-1.1.16-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.